## plasma-widget-bkodama 0.2.1

=== CMakeLists.txt ===
project(bkodama)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroLibrary)

#find_package(KDE4Workspace REQUIRED)
#find_package(KdepimLibs REQUIRED)

#macro_optional_find_package(OpenGL)
#macro_log_feature(OPENGL_FOUND "OpenGL" "API for developing portaing from graphics and modellers to screensavers and video players.")

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES})

#include_directories (${KDE4_INCLUDES} 
#                     ${KDE4WORKSPACE_INCLUDE_DIR}
#                     ${KDEPIMLIBS_INCLUDE_DIR} )

add_subdirectory(data)
add_subdirectory(src)

macro_display_feature_log()

=== data/CMakeLists.txt ===
project(bkodama)

install(FILES plasma-applet-bkodama.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
        sitting01-test.svg
        spin00-test.svg
        spin01-test.svg
        spin02-test.svg
        spin03-test.svg
        spin04-test.svg
        spin05-test.svg
        stand00-test.svg
        stand01-test.svg
        stand02-test.svg
        stand03-test.svg
        walk00-test.svg
        walk01-test.svg
        walk02-test.svg
        walk03-test.svg
        walk04-test.svg
        walk05-test.svg
        walk06-test.svg
        head-spin3.ogg
        DESTINATION ${DATA_INSTALL_DIR}/bkodama/)

=== src/CMakeLists.txt ===
project(bkodama)

set(bkodama_SRCS bkodama.cpp)

#SET(CMAKE_VERBOSE_MAKEFILE 1)

kde4_add_ui_files(bkodama_SRCS bkodamaConfig.ui)

kde4_add_plugin(plasma_applet_bkodama ${bkodama_SRCS})

target_link_libraries(plasma_applet_bkodama ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_PHONON_LIBS} )

install(TARGETS plasma_applet_bkodama
        DESTINATION ${PLUGIN_INSTALL_DIR})

kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-bkodama (0.2.1-0ubuntu3) maverick; urgency=low

  * I stayed up too late last night doing transitions. Switch to the KDE
    debhelper sequence to avoid FTBFS

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 21:57:34 -0400

plasma-widget-bkodama (0.2.1-0ubuntu2) maverick; urgency=low

  * Add a build-depend on cmake since kdelibs5-dev doesn't anymore
  * Switch to source format 3.0

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 00:17:50 -0400

plasma-widget-bkodama (0.2.1-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #396206)

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 06 Jul 2009 18:25:20 +0200

=== debian/control ===
Source: plasma-widget-bkodama
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Mangold <neversfelde@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.4.6), cmake,
 kdelibs5-dev (>= 4:4.2.95)
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/bkodama?content=106528

Package: plasma-widget-bkodama
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Friendly kodama wandering on the desktop
 This Plasma widget adds a comic animation to the desktop. The Animation is 
 a kodama, which seems to be a ghost from japanese mythology.
